> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customer Invoices

> Getting all your customer invoices in your portal as paginated response



## OpenAPI

````yaml /openapi.yaml get /customer-invoices
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /customer-invoices:
    get:
      tags:
        - Customer Invoices API
      summary: List Customer Invoices
      description: Getting all your customer invoices in your portal as paginated response
      operationId: list-customer-invoices
      responses:
        '200':
          description: Paginated response with customer invoices
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of Customer Invoice objects
                    items:
                      $ref: '#/components/schemas/CustomerInvoice'
                  first_page_url:
                    type: string
                    example: >-
                      https://api.mijnklantportaal.nl/v1/customer-invoices?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: >-
                      https://api.mijnklantportaal.nl/v1/customer-invoices?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/customer-invoices
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    CustomerInvoice:
      type: object
      description: Customer Invoice
      properties:
        id:
          type: string
          example: inv_abc12345def678
          description: ID of the invoice, always starting with `inv_`.
        customerId:
          type: string
          example: cst_abc12345def678
          description: ID of the customer which the invoice belongs to.
        invoiceNumber:
          type: string
          example: 2024-001
          description: Number of the invoice as `string`.
        issuedAt:
          type: string
          example: '2024-04-29'
          description: Issue date of the invoice. Formatted as `YYYY-mm-dd`.
        dueAt:
          type: string
          example: '2024-05-28'
          description: Due date for the invoice, if available. Formatted as `YYYY-mm-dd`.
          nullabe: true
        currency:
          type: string
          example: EUR
          description: Currency of the invoice amount.
        amount:
          type: string
          example: '12.95'
          description: Invoice amount as `string`.
        paidAt:
          type: string
          nullable: true
          example: '2024-05-28T21:00:00+02:00'
          description: Date the invoice is marked as paid. Written in ATOM format.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: >-
            Date and time when the invoice was added to MijnKlantportaal.
            Written in ATOM format.
        links:
          type: object
          properties:
            customer:
              type: object
              properties:
                href:
                  type: string
                  description: Endpoint to the Get Customer API
                  example: >-
                    https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678
                type:
                  type: string
                  example: application/json
                  description: Type of the content the endpoint will return
            onlinePaymentLink:
              type: object
              properties:
                href:
                  type: string
                  description: >-
                    Link towards the payment page for this invoice. ***Be
                    aware:*** This link will be returned, no matter if a payment
                    integration is active.
                  example: >-
                    https://portal.mijnklantportaal.nl/public-invoice/inv_abc123/pay/123-abc
                type:
                  type: string
                  example: text/html
                  description: Type of the content the endpoint will return
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````